Skip to content

Adhoc Charge

| View as Markdown

Adhoc is generally additional amount charged by merchant or requested to be added by the customer. This API will be used by merchant to charge the Enach adhoc subscription. We must pass merchant id, subscription id, sb amount and action as “C”- adhoc in request. If the request has valid details, we will get a success response as “Recurring added successfully”.

https://kraken.airpay.co.in/airpay/api/updatesubscription.php
ParameterType ValueDescriptionValue Like
Content-Type requiredStringThe Content-Type header specifies the media type of the request or response body, allowing the receiver to correctly interpret the data. For XML data, use application/xml.For JSON: application/json,For XML: application/xml
ParameterType ValueDescriptionValue Like
merchant_id requiredNumberMerchant Identification Number29555
subscription_id requiredNumberairpay Subscription Id10062147
sb_amount requiredNumberAmount to be charged should not be greater than max amount2000.00
sb_date requiredDateSubscription date is date when the customer is to be charged, which need greater than by minimum 2 days from date of initiation (Ex : DD-MM-YYYY)27-08-2022
action requiredStringAction
”C”- adhoc
C
checksum requiredAlphanumeric
(10-200)
Checksum
privatekey = hash(‘sha256’, secret.’@’.username.’:
:‘.password)
Hash generated by: hash_hmac(‘sha256’, subscription_id+private_key+merchant_id+action+sb_date+sb_amount, <secret_key>)
Note: Use the same secret key, username and password provided on payment kit to generate private key
ParameterType ValueDescriptionValue Like
status requiredNumberStatus value will pass as per the condition200,533
message requiredStringStatus message value will pass as per the conditionSubscription updated successfully,Error in unsubscription
{
"merchant_id" : "29555",
"subscription_id" : "",
"sb_amount": "2000.00",
"sb_date" : "27-08-2022",
"action" : "C",
"checksum" : "86a1867e4d8728308c86930e35d7948f2cb8c314e8e5ce67db77ab54c4e05e5c"
}
<?xml version="1.0" encoding="utf-8"?>
<REQUEST>
<SUBSCRIPTION>
<MERCHANT_ID><![CDATA[29555]]></MERCHANT_ID>
<SUBSCRIPTION_ID><![CDATA[10062147]]></SUBSCRIPTION_ID>
<ACTION><![CDATA[C]]></ACTION>
<SB_DATE><![CDATA[27-08-2022]]></SB_DATE>
<CHECKSUM><![CDATA[86a1867e4d8728308c86930e35d7948f2cb8c314e8e5ce67db77ab54c4e05e5c]]></CHECKSUM>
</SUBSCRIPTION>
</REQUEST>
HTTP/1.1 200 OK
{
"status" : "200",
"message" : "Subscription updated successfully.",
}
HTTP/1.1 200 OK
{
"status" : "400",
"message" : "Sb Date should not be less than current date + 2 days.",
}
HTTP/1.1 200 OK
<?xml version="1.0" encoding="utf-8"?>
<RESPONSE>
<SUBSCRIPTION>
<STATUS>200</STATUS>
<MESSAGE>Subscription updated successfully.</MESSAGE>
</SUBSCRIPTION>
</RESPONSE>
HTTP/1.1 200 OK
<?xml version="1.0" encoding="utf-8"?>
<RESPONSE>
<SUBSCRIPTION>
<STATUS>400</STATUS>
<MESSAGE>Sb Date should not be less than current date + 2 days.</MESSAGE>
</SUBSCRIPTION>
</RESPONSE>
200 - Subscription updated successfully
533 - Error in unsubscription
603 - Subscription is in Unsubscribed state
604 - Amount should not be greater than <Your request amount>
605 - Amount should be greater than or equal to 1
619 - Subscription id is invalid
620 - Subscription request was not accepted
621 - Subscription action is invalid
622 - Subscription is already set one skip recurring
623 - Error in update amount subscription
624 - Subscription is already in Subscribed state
625 - Subscription is already in Paused state
626 - No future recurring subscription
627 - Error in pausing subscription
628 - Error in resuming subscription